import React, { useEffect, useState } from "react";
import styles from "./index.module.scss";
import { useLocation } from "react-router-dom";
function D1Build() {
  const location = useLocation();

  const [uId, setUid] = useState("");

  useEffect(() => {
    const query = new URLSearchParams(location.search);
    const param = query.get("id");
    console.log("构件页面获取id", param);
    setUid(param!);
  }, [location.search]);
  return (
    <div className={styles.D1Build}>
      <h1>D1Build</h1>
    </div>
  );
}

const MemoD1Build = React.memo(D1Build);

export default MemoD1Build;
